import _extends from "@babel/runtime/helpers/esm/extends";
import { forwardRef } from 'react';
import PropTypes from 'prop-types';
import useVideoPlayer from './hooks/useVideoPlayer.js';
import { BASE_CLASS } from './settings/index.js';
import { jsx as _jsx } from "react/jsx-runtime";
var AtomVideoPlayer = /*#__PURE__*/forwardRef(function (_ref, forwardedRef) {
  var _ref$autoPlay = _ref.autoPlay,
    autoPlay = _ref$autoPlay === void 0 ? false : _ref$autoPlay,
    _ref$controls = _ref.controls,
    controls = _ref$controls === void 0 ? true : _ref$controls,
    _ref$src = _ref.src,
    src = _ref$src === void 0 ? '' : _ref$src,
    timeLimit = _ref.timeLimit,
    timeOffset = _ref.timeOffset;
  var _useVideoPlayer = useVideoPlayer({
      autoPlay: autoPlay,
      controls: controls,
      src: src,
      timeLimit: timeLimit,
      timeOffset: timeOffset
    }),
    Component = _useVideoPlayer[0],
    props = _useVideoPlayer[1];
  return /*#__PURE__*/_jsx("div", {
    ref: forwardedRef,
    className: BASE_CLASS,
    children: /*#__PURE__*/_jsx(Component, _extends({}, props))
  });
});
AtomVideoPlayer.displayName = 'AtomVideoPlayer';
export default AtomVideoPlayer;